---
apiVersion: v1
kind: Service
metadata:
  name: dmp-file
  labels:
    app: dmp-file
spec:
  selector:
    app: dmp-file
  ports:
    - port: 8080
      targetPort: 8080
      name: server-port

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: dmp-file
spec:
  replicas: 1
  selector:
    matchLabels:
      app: dmp-file
  template:
    metadata:
      labels:
        app: dmp-file
    spec:
      containers:
        - name: dmp-file
          image: labisenlin.persagy.com/library/dmp-file:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
              name: server-port
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: SERVER_PORT
              value: "8080"
            - name: SPRING_CLOUD_CONFIG_URI
              value: "http://integrated-config:8080"
            - name: SPRING_PROFILES_ACTIVE
              value: "dev"
            - name: SPRING_CLOUD_CONFIG_PROFILE
              value: "dev"
            - name: EUREKA_CLIENT_DEFAULT_ZONE
              value: "http://frame:123456@integrated-eureka:8080/integrated-eureka/eureka/"
            - name: logging.config
              value: classpath:logback-spring.xml
            - name: eureka.instance.status-page-url
              value: "http://${eureka.instance.ip-address}:${eureka.instance.non-secure-port}/${spring.application.name}/info"
            - name: eureka.instance.non-secure-port-enabled
              value: "true"
            - name: eureka.instance.ip-address
              value: "dmp-file"
            - name: eureka.instance.health-check-url
              value: "http://${eureka.instance.ip-address}:${eureka.instance.non-secure-port}/${spring.application.name}/health"
            - name: eureka.instance.non-secure-port
              value: "8080"
            - name: mybatis-plus.configuration.log-impl
              value: "org.apache.ibatis.logging.nologging.NoLoggingImpl"